Registro de uma Sub Loja
curl --request POST \
--url https://homolog.clubfix.com.br/webservice/shopkeepers \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trading_name": "Resoluto Digital",
"registration_number": "81817151000139",
"phone": "41992885586",
"website": "https://resolutodigital.com.br",
"address": {
"zip_code": "81830120",
"street": "Rua Santo Bozzi",
"number": "770",
"complement": "bloco 6. Apto 622",
"neighborhood": "Xaxim",
"city": "Curitiba",
"state": "PR"
},
"responsible": {
"registration_number": "47401271052",
"name": "Sergio Danilo Jr",
"email": "sergiodanilojr123@resolutodigital.com.br",
"role": "Founder",
"phone": "41992885586"
},
"bank": {
"account": "0000000",
"account_digit": "01",
"agency": "0001",
"name": "Inter"
}
}
'import requests
url = "https://homolog.clubfix.com.br/webservice/shopkeepers"
payload = {
"trading_name": "Resoluto Digital",
"registration_number": "81817151000139",
"phone": "41992885586",
"website": "https://resolutodigital.com.br",
"address": {
"zip_code": "81830120",
"street": "Rua Santo Bozzi",
"number": "770",
"complement": "bloco 6. Apto 622",
"neighborhood": "Xaxim",
"city": "Curitiba",
"state": "PR"
},
"responsible": {
"registration_number": "47401271052",
"name": "Sergio Danilo Jr",
"email": "sergiodanilojr123@resolutodigital.com.br",
"role": "Founder",
"phone": "41992885586"
},
"bank": {
"account": "0000000",
"account_digit": "01",
"agency": "0001",
"name": "Inter"
}
}
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Accept: '<accept>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
trading_name: 'Resoluto Digital',
registration_number: '81817151000139',
phone: '41992885586',
website: 'https://resolutodigital.com.br',
address: {
zip_code: '81830120',
street: 'Rua Santo Bozzi',
number: '770',
complement: 'bloco 6. Apto 622',
neighborhood: 'Xaxim',
city: 'Curitiba',
state: 'PR'
},
responsible: {
registration_number: '47401271052',
name: 'Sergio Danilo Jr',
email: 'sergiodanilojr123@resolutodigital.com.br',
role: 'Founder',
phone: '41992885586'
},
bank: {account: '0000000', account_digit: '01', agency: '0001', name: 'Inter'}
})
};
fetch('https://homolog.clubfix.com.br/webservice/shopkeepers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 19,
"trading_name": "Resoluto Digital",
"registration_number": "81817151000139",
"matrix": false,
"responsible": null,
"meta": {
"link": "https://homolog.clubfix.com.br/webservice/shopkeepers/19"
}
}Lojistas
Registra uma Sub-Loja
Cadastra uma filial ou sub-loja vinculada ao parceiro autenticado
POST
/
shopkeepers
Registro de uma Sub Loja
string
required
Token de autenticação do tipo Bearer obtido através do endpoint de login.
string
required
Deve ser definido como
application/json.string
required
Deve ser definido como
application/json.string
required
Nome fantasia da sub-loja. Máx. 255 caracteres.
string
required
CNPJ da sub-loja, somente dígitos ou com formatação (ex:
12345678000195). Deve ser único na base ClubFix.string
required
Telefone de contato da sub-loja com DDD. Máx. 20 caracteres.
string
URL do site da sub-loja. Opcional. Máx. 255 caracteres.
object
required
Endereço da sub-loja.
string
required
CEP somente com dígitos, exatamente 8 caracteres (ex:
89000000).string
required
Logradouro. Máx. 255 caracteres.
string
required
Número do imóvel. Máx. 20 caracteres.
string
Complemento (sala, andar, etc.). Opcional. Máx. 255 caracteres.
string
required
Bairro. Máx. 100 caracteres.
string
required
Cidade. Máx. 100 caracteres.
string
required
Sigla da UF com exatamente 2 letras (ex:
SC, SP).object
required
Dados do responsável pela sub-loja.
string
required
Nome completo do responsável. Máx. 255 caracteres.
string
required
E-mail do responsável. Deve ser único na base ClubFix.
string
required
Telefone do responsável com DDD. Máx. 20 caracteres.
string
required
CPF do responsável, somente dígitos (ex:
12345678900). Deve ser único.string
RG do responsável. Opcional. Máx. 20 caracteres.
string
Cargo/função do responsável (ex:
Gerente, Sócio). Opcional. Máx. 100 caracteres.object
required
Dados bancários da sub-loja para repasse de comissões.
string
required
Nome do banco (ex:
Itaú, Bradesco, Nubank). Máx. 255 caracteres.string
required
Número da agência bancária. Máx. 20 caracteres.
string
required
Número da conta bancária. Máx. 20 caracteres.
string
required
Dígito verificador da conta. Máx. 20 caracteres.
Resposta
Retorna o recurso da sub-loja criada. O campoid deve ser utilizado como store_id nos endpoints de contratação para atribuir vendas a essa filial.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Was this page helpful?
